DRUO
Get started
Checkout Links

List Checkout Links

GEThttps://api.druo.com/checkout/link/list

Retrieve a paginated list of Checkout Links.

This endpoint supports filtering and searching for existing Checkout Links based on query parameters such as UUID and end-user email.

Query parameters

uuidstringoptional

Filter results by the Checkout Link's unique identifier (UUID).

end_user_emailstringoptional

Filter results by the email address of the associated end user.

pageintegeroptional

The page number to return. Starts at 1.

page_sizeintegeroptional

The number of items per page. Defaults to 1000 when omitted.

Pagination · Filters

Response— Returns a paginated list.

uuidstringoptional

The Checkout Link's UUID.

Example: clk_422f0f81-5001-4cce-a229-242d9ab9960a
codestringoptional

The Checkout Link's code.

Example: CSFM03FNA3
urlstringoptional

The URL to redirect the user to in order to complete the checkout flow.

Example: https://link.druo.com/checkout/?sl=e4243523423423423423
delivary_statusstringoptional

The delivery status of the Checkout Link.

Example: OPENNED
background_colorstringoptional

The HEX code for the link's background color.

Example: #333333

The HEX code for the link's transaction details background color. If empty, defaults to #f2f2f2.

Example: #f2f2f2
sidebar_text_colorstringoptional

The HEX code for the link's transaction details text color. If empty, defaults to #333333.

Example: #222222

The HEX code for the link's verification flow background color. If empty, defaults to #ffffff.

Example: #ffffff

The HEX code for the link's verification flow text color. If empty, defaults to #333333.

Example: #333333
button_colorstringoptional

The HEX code for the link's button color.

Example: #ffffff
button_text_colorstringoptional

The HEX code for the link's button text color.

Example: #000000
end_userEndUserCustomeroptional

Information about the end user customer.

transactionPaymentPaymentoptional

Details of the associated payment transaction.

default_institutionstringoptional

The Checkout Link's default financial institution.

primary_referencestringoptional

The Checkout Link's primary reference. Used to associate the checkout flow with an entity in an external system.

Example: 23423524
secondary_referencestringoptional

The Checkout Link's secondary reference. Used to associate the checkout flow with an entity in an external system.

Example: bj39fhow39fhqp3f0hfae4344
default_languagestringoptional

The language code in which to display the link. If left blank, the system defaults to English.

Possible values:es_COen_US
redirect_urlstringoptional

The URL to redirect to after the connection flow is completed. Reference, Status, and Connected Account Code will be appended as URL parameters.

Example: https://example.com
expiration_datestringoptional

The expiration date for this Checkout Link in GMT. If the link is accessed after this date, an error is displayed.

Example: 2021-11-16T23:23:38
expiredbooleanoptional

Indicates whether the Checkout Link has expired.

Example: false

If true, the user is taken directly to the redirect URL without showing the default DRUO redirect page.

Example: false
metadataobjectoptional

Set of key-value pairs that you can attach to an object. You can specify up to 50 keys, with key names up to 40 characters long and values up to 500 characters long.

Example: {"order_id": "6735"}
date_created_gmtstringoptional

The creation date of the checkout link in GMT.

Example: 2021-11-15T23:23:38Z
date_updated_gmtstringoptional

The last updated date of the checkout link in GMT.

Example: 2021-11-15T23:23:38Z
NextPOSTCreate Payment